Index: orxonox/trunk/src/lib/graphics/text_engine.cc
===================================================================
--- orxonox/trunk/src/lib/graphics/text_engine.cc	(revision 4835)
+++ orxonox/trunk/src/lib/graphics/text_engine.cc	(revision 4836)
@@ -42,7 +42,7 @@
 ////////////
 /**
-   \brief creates a new Text Element
-   \param font the Font to render this text in
-   \param type The renderType to display this font in
+ *  creates a new Text Element
+ * @param font the Font to render this text in
+ * @param type The renderType to display this font in
 
    this constructor is private, because the user should initialize
@@ -67,5 +67,5 @@
 
 /**
-   \brief deletes a Text out of memory
+ *  deletes a Text out of memory
 
    This also ereases the text from the textList of the TextEngine
@@ -77,6 +77,6 @@
 
 /**
-   \brief tells the Text, that it should folow a PNode
-   \param bindNode: the node to bind this text to
+ *  tells the Text, that it should folow a PNode
+ * @param bindNode: the node to bind this text to
 */
 void Text::setBindNode(PNode* bindNode)
@@ -86,6 +86,6 @@
 
 /**
-   \brief sets the Type of this Text
-   \param type the type to set.
+ *  sets the Type of this Text
+ * @param type the type to set.
 */
 void Text::setType(int type)
@@ -98,6 +98,6 @@
 
 /**
-   \brief Sets a new Text to the font
-   \param text the new text to set
+ *  Sets a new Text to the font
+ * @param text the new text to set
 */
 void Text::setText(const char* text)
@@ -129,7 +129,7 @@
 
 /**
-   \brief sets a Position.
-   \param x the x-position in pixels from the left border
-   \param y the y-position in pixels from the top border
+ *  sets a Position.
+ * @param x the x-position in pixels from the left border
+ * @param y the y-position in pixels from the top border
 */
 void Text::setPosition(int x, int y)
@@ -140,6 +140,6 @@
 
 /**
-   \brief sets the text-alignment
-   \param alignment the alignment to set
+ *  sets the text-alignment
+ * @param alignment the alignment to set
 */
 void Text::setAlignment(TEXT_ALIGNMENT alignment)
@@ -149,8 +149,8 @@
 
 /**
-   \brief sets a new color to the font
-   \param r Red
-   \param g Green
-   \param b Blue
+ *  sets a new color to the font
+ * @param r Red
+ * @param g Green
+ * @param b Blue
 */
 void Text::setColor(Uint8 r, Uint8 g, Uint8 b)
@@ -162,5 +162,5 @@
 
 /**
-   \brief creates a texture out of the given parameters
+ *  creates a texture out of the given parameters
 
    this has to be called every time by the user, to if changes were made.
@@ -185,5 +185,5 @@
 
 /**
-   \brief draws the Font
+ *  draws the Font
 */
 void Text::draw() const
@@ -269,5 +269,5 @@
 
 /**
-   \brief prints out some nice debug information about this text
+ *  prints out some nice debug information about this text
 */
 void Text::debug() const
@@ -285,8 +285,8 @@
 ////////////
 /**
-   \brief Loads a Font from an SDL_surface into a texture.
-   \param surface The surface to make the texture of
-   \param texCoord The texture coordinates of the 4 corners of the texture
-   \returns the ID of the texture
+ *  Loads a Font from an SDL_surface into a texture.
+ * @param surface The surface to make the texture of
+ * @param texCoord The texture coordinates of the 4 corners of the texture
+ * @returns the ID of the texture
 */
 GLuint Text::loadTexture(SDL_Surface *surface, TexCoord* texCoord)
@@ -366,7 +366,7 @@
 
 /**
-   \brief Quick utility function for texture creation
-   \param input an integer
-   \returns the next bigger 2^n-integer than input
+ *  Quick utility function for texture creation
+ * @param input an integer
+ * @returns the next bigger 2^n-integer than input
 */
 int Text::powerOfTwo(int input)
@@ -385,10 +385,10 @@
 ////////////
 /**
-   \brief constructs a Font
-   \param fontFile the File to load the font from
-   \param fontSize the Size of the Font in Pixels
-   \param r Red value of the Font.
-   \param g Green value of the Font.
-   \param b Blue value of the Font.
+ *  constructs a Font
+ * @param fontFile the File to load the font from
+ * @param fontSize the Size of the Font in Pixels
+ * @param r Red value of the Font.
+ * @param g Green value of the Font.
+ * @param b Blue value of the Font.
 */
 Font::Font(const char* fontFile, unsigned int fontSize, Uint8 r, Uint8 g, Uint8 b)
@@ -413,5 +413,5 @@
 
 /**
-   \brief destructs a font
+ *  destructs a font
 */
 Font::~Font()
@@ -433,7 +433,7 @@
 
 /**
-   \brief sets The Font.
-   \param fontFile The file containing the font.
-   \returns true if loaded, false if something went wrong, or if a font was loaded before.
+ *  sets The Font.
+ * @param fontFile The file containing the font.
+ * @returns true if loaded, false if something went wrong, or if a font was loaded before.
 */
 bool Font::setFont(const char* fontFile)
@@ -462,6 +462,6 @@
 
 /**
-   \brief sets a specific renderStyle
-   \param renderStyle the Style to render: a char-array containing:
+ *  sets a specific renderStyle
+ * @param renderStyle the Style to render: a char-array containing:
    i: italic, b: bold, u, underline
 */
@@ -485,6 +485,6 @@
 
 /**
-   \brief Sets a new Size to the font
-   \param fontSize The new Size in pixels.
+ *  Sets a new Size to the font
+ * @param fontSize The new Size in pixels.
 */
 void Font::setSize(unsigned int fontSize)
@@ -494,8 +494,8 @@
 
 /**
-   \brief sets a new color to the font
-   \param r Red
-   \param g Green
-   \param b Blue
+ *  sets a new color to the font
+ * @param r Red
+ * @param g Green
+ * @param b Blue
 */
 void Font::setFastColor(Uint8 r, Uint8 g, Uint8 b)
@@ -507,5 +507,5 @@
 
 /**
-   \returns the maximum height of the Font, if the font was initialized, 0 otherwise
+ * @returns the maximum height of the Font, if the font was initialized, 0 otherwise
 */
 int Font::getMaxHeight()
@@ -518,5 +518,5 @@
 
 /**
-   \returns the maximum ascent of the Font, if the font was initialized, 0 otherwise
+ * @returns the maximum ascent of the Font, if the font was initialized, 0 otherwise
 
    the ascent is the pixels of the font above the baseline
@@ -531,5 +531,5 @@
 
 /**
-   \returns the maximum descent of the Font, if the font was initialized, 0 otherwise
+ * @returns the maximum descent of the Font, if the font was initialized, 0 otherwise
 
    the descent is the pixels of the font below the baseline
@@ -544,6 +544,6 @@
 
 /**
-   \param character The character to get info about.
-   \returns a Glyph struct of a character. This Glyph is a pointer,
+ * @param character The character to get info about.
+ * @returns a Glyph struct of a character. This Glyph is a pointer,
    and MUST be deleted by the user..
 
@@ -581,5 +581,5 @@
 
   this->initGlyphs(32, numberOfGlyphs);
-  this->glyphArray[32]->width = fontSize/3; //!< \todo find out the real size of a Space
+  this->glyphArray[32]->width = fontSize/3; //!< @todo find out the real size of a Space
 
   int rectSize = this->findOptimalFastTextureSize();
@@ -695,7 +695,7 @@
 
 /**
-   \brief stores Glyph Metrics in an Array.
-   \param from The Glyph to start from.
-   \param count The number of Glyphs to start From.
+ *  stores Glyph Metrics in an Array.
+ * @param from The Glyph to start from.
+ * @param count The number of Glyphs to start From.
 */
 void Font::initGlyphs(Uint16 from, Uint16 count)
@@ -722,7 +722,7 @@
 
 /**
-   \returns the optimal size to use as the texture size
-
-   \todo: this algorithm can be a lot more faster, althought it does
+ * @returns the optimal size to use as the texture size
+
+   @todo: this algorithm can be a lot more faster, althought it does
    not really matter within the init-context, and 128 glyphs.
 
@@ -773,5 +773,5 @@
 
 /**
-   \brief a simple function to get some interesting information about this class
+ *  a simple function to get some interesting information about this class
 */
 void Font::debug()
@@ -800,5 +800,5 @@
 ///////////////////
 /**
-   \brief standard constructor
+ *  standard constructor
 */
 TextEngine::TextEngine ()
@@ -812,10 +812,10 @@
 
 /**
-   \brief the singleton reference to this class
+ *  the singleton reference to this class
 */
 TextEngine* TextEngine::singletonRef = NULL;
 
 /**
-   \brief standard deconstructor
+ *  standard deconstructor
 
 */
@@ -830,5 +830,5 @@
 
 /**
-   \brief function to enable TTF_Fonts
+ *  function to enable TTF_Fonts
 */
 void TextEngine::enableFonts()
@@ -846,5 +846,5 @@
 
 /**
-   \brief function to disable TTF_fonts
+ *  function to disable TTF_fonts
 */
 void TextEngine::disableFonts()
@@ -859,5 +859,5 @@
 
 /**
-   \brief creates a new Text with a certain font.
+ *  creates a new Text with a certain font.
    \see Font::Font
    \see Text::Text
@@ -884,6 +884,6 @@
 
 /**
-   \brief removes a Text from the List
-   \param text: the text to delete
+ *  removes a Text from the List
+ * @param text: the text to delete
 
    this only ereases allocated memory, and removes the text
@@ -898,5 +898,5 @@
 
 /**
-   \brief deletes all the Text, and tries to delete all allocated fonts
+ *  deletes all the Text, and tries to delete all allocated fonts
 */
 void TextEngine::flush()
@@ -913,5 +913,5 @@
 
 /**
-   \brief draws all the Texts that have been initialized
+ *  draws all the Texts that have been initialized
 */
 void TextEngine::draw() const
@@ -937,7 +937,7 @@
 
 /**
-   \brief outputs some nice Debug information
-
-   \todo there should also be something outputted about Font
+ *  outputs some nice Debug information
+
+   @todo there should also be something outputted about Font
 */
 void TextEngine::debug() const
@@ -961,6 +961,6 @@
 
 /**
-   \brief checks if the compiled version and the local version of SDL_ttf match.
-   \returns true if match, false otherwise
+ *  checks if the compiled version and the local version of SDL_ttf match.
+ * @returns true if match, false otherwise
 */
 bool TextEngine::checkVersion()
Index: orxonox/trunk/src/lib/graphics/text_engine.h
===================================================================
--- orxonox/trunk/src/lib/graphics/text_engine.h	(revision 4835)
+++ orxonox/trunk/src/lib/graphics/text_engine.h	(revision 4836)
@@ -1,5 +1,5 @@
 /*!
     \file text_engine.h
-    \brief Definition of textEngine, the Font and the Text
+  *  Definition of textEngine, the Font and the Text
 
     Text is the text outputed.
@@ -116,5 +116,5 @@
   void setPosition(int x, int y);
   void setAlignment(TEXT_ALIGNMENT alignment);
-  /** \param blending the blending intensity to set (between 0.0 and 1.0) */
+  /** @param blending the blending intensity to set (between 0.0 and 1.0) */
   inline void setBlending(float blending) {this->blending = blending;}
 
@@ -145,5 +145,5 @@
   // placement in openGL
   GLuint            texture;        //!< A GL-texture to hold the text
-  TexCoord          texCoord;       //!< Texture-coordinates \todo fix this to have a struct
+  TexCoord          texCoord;       //!< Texture-coordinates @todo fix this to have a struct
   SDL_Rect          posSize;        //!< An SDL-Rectangle representing the position and size of the Text on the screen.
 
@@ -174,7 +174,7 @@
   void setStyle(const char* renderStyle);
 
-  /** \returns a Pointer to the Array of Glyphs */
+  /** @returns a Pointer to the Array of Glyphs */
   inline Glyph** getGlyphArray() const {return glyphArray;}
-  /** \returns the texture to the fast-texture */
+  /** @returns the texture to the fast-texture */
   inline GLuint getFastTextureID() const {return fastTextureID;}
 
@@ -217,5 +217,5 @@
  public:
   virtual ~TextEngine();
-  /** \returns a Pointer to the only object of this Class */
+  /** @returns a Pointer to the only object of this Class */
   inline static TextEngine* getInstance() { if (!singletonRef) singletonRef = new TextEngine();  return singletonRef; };
 
Index: orxonox/trunk/src/lib/gui/gui.cc
===================================================================
--- orxonox/trunk/src/lib/gui/gui.cc	(revision 4835)
+++ orxonox/trunk/src/lib/gui/gui.cc	(revision 4836)
@@ -48,5 +48,5 @@
 
 /**
-   \brief Initializes the Gui
+ *  Initializes the Gui
 */
 Gui::Gui(int argc, char *argv[])
@@ -121,5 +121,5 @@
 
 /**
-   \brief starts the OrxonoxGUI
+ *  starts the OrxonoxGUI
 */
 void Gui::startGui()
@@ -138,10 +138,10 @@
 
 /**
-   \brief a bool that knows if orxonox should be started
+ *  a bool that knows if orxonox should be started
 */
 bool Gui::startOrxonox = false;
 
 /**
-   \brief Destructor.
+ *  Destructor.
 */
 Gui::~Gui()
Index: orxonox/trunk/src/lib/gui/gui.h
===================================================================
--- orxonox/trunk/src/lib/gui/gui.h	(revision 4835)
+++ orxonox/trunk/src/lib/gui/gui.h	(revision 4836)
@@ -3,10 +3,10 @@
  \brief Creation of the Gui
 
- \todo way to start gui without GTK (textmode) AND IMPROOVE
- \todo curl interface to Download cool stuff
+ @todo way to start gui without GTK (textmode) AND IMPROOVE
+ @todo curl interface to Download cool stuff
 
- \todo widgets save themselves
- \todo good way to step through all the Widgets
- \todo label -> protected : getlabel function
+ @todo widgets save themselves
+ @todo good way to step through all the Widgets
+ @todo label -> protected : getlabel function
 */
 
Index: orxonox/trunk/src/lib/gui/gui_audio.cc
===================================================================
--- orxonox/trunk/src/lib/gui/gui_audio.cc	(revision 4835)
+++ orxonox/trunk/src/lib/gui/gui_audio.cc	(revision 4836)
@@ -29,5 +29,5 @@
 
 /**
-   \brief Creates an Audio-Frame
+ *  Creates an Audio-Frame
 */
 GuiAudio::GuiAudio()
@@ -72,5 +72,5 @@
 
 /** 
-    \brief Destructs the Audio-Stuff
+  *  Destructs the Audio-Stuff
 */
 GuiAudio::~GuiAudio()
Index: orxonox/trunk/src/lib/gui/gui_banner.cc
===================================================================
--- orxonox/trunk/src/lib/gui/gui_banner.cc	(revision 4835)
+++ orxonox/trunk/src/lib/gui/gui_banner.cc	(revision 4836)
@@ -32,5 +32,5 @@
 
 /**
-   \brief Creates a new BannerEventBox and its content.
+ *  Creates a new BannerEventBox and its content.
 */
 GuiBanner::GuiBanner()
@@ -75,5 +75,5 @@
     logoBox->fill(logoImage);
 
-    //! \todo add the names of all the guys working on orxonox
+    //! @todo add the names of all the guys working on orxonox
     orxIsLabel = new Label("           " PACKAGE_NAME " is:\n" ORXONOX_STAFF);
     logoBox->fill(orxIsLabel);
@@ -90,5 +90,5 @@
 
 /**
-   \brief Destructs it.
+ *  Destructs it.
 */
 GuiBanner::~GuiBanner()
Index: orxonox/trunk/src/lib/gui/gui_element.cc
===================================================================
--- orxonox/trunk/src/lib/gui/gui_element.cc	(revision 4835)
+++ orxonox/trunk/src/lib/gui/gui_element.cc	(revision 4836)
@@ -24,6 +24,6 @@
 
 /**
-   \brief standard constructor
-   \todo this constructor is not jet implemented - do it
+ *  standard constructor
+   @todo this constructor is not jet implemented - do it
 */
 GuiElement::GuiElement () 
@@ -34,5 +34,5 @@
 
 /**
-   \brief standard deconstructor
+ *  standard deconstructor
 
 */
@@ -43,5 +43,5 @@
 
 /**
-   \brief Every GuiElement should set this, or it could result in a SegFault.
+ *  Every GuiElement should set this, or it could result in a SegFault.
 */
 void GuiElement::setMainWidget(Widget* widget)
Index: orxonox/trunk/src/lib/gui/gui_element.h
===================================================================
--- orxonox/trunk/src/lib/gui/gui_element.h	(revision 4835)
+++ orxonox/trunk/src/lib/gui/gui_element.h	(revision 4836)
@@ -1,5 +1,5 @@
 /*! 
     \file gui_element.h
-    \brief Definition of ...
+  *  Definition of ...
 
 */
@@ -17,5 +17,5 @@
   virtual ~GuiElement();
   
-  /** \returns the main Widget of this GuiElement. */
+  /** @returns the main Widget of this GuiElement. */
   Widget* getWidget() {return this->mainWidget;}
  protected:
Index: orxonox/trunk/src/lib/gui/gui_exec.cc
===================================================================
--- orxonox/trunk/src/lib/gui/gui_exec.cc	(revision 4835)
+++ orxonox/trunk/src/lib/gui/gui_exec.cc	(revision 4836)
@@ -39,5 +39,5 @@
 
 /**
-    \brief Creates the Exec-Frame
+  *  Creates the Exec-Frame
 */
 GuiExec::GuiExec()
@@ -56,5 +56,5 @@
     {
       Button* start;               //!< The start Button of orxonox.
-      Menu* verboseMode;           //!< A Menu for setting the verbose-Mode. \todo setting up a verbose-class.
+      Menu* verboseMode;           //!< A Menu for setting the verbose-Mode. @todo setting up a verbose-class.
       CheckButton* alwaysShow;     //!< A CheckButton, for if orxonox should start with or without gui.
       Button* quit;                //!< A Button to quit the Gui without starting orxonox.
@@ -131,5 +131,5 @@
 
 /**
-   \brief Destructs the Execution-stuff
+ *  Destructs the Execution-stuff
 */
 GuiExec::~GuiExec()
@@ -144,6 +144,6 @@
 
 /**
-   \brief sets the Directory of the configuration files
-   \param confDir the Directory for the configuration files
+ *  sets the Directory of the configuration files
+ * @param confDir the Directory for the configuration files
 */
 void GuiExec::setConfDir(const char* confDir)
@@ -161,6 +161,6 @@
 
 /**
-   \brief Sets the location of the configuration File.
-   \param fileName the location of the configFile
+ *  Sets the location of the configuration File.
+ * @param fileName the location of the configFile
 
    The name will be parsed from ~/ to /home/[username] on unix and c:/Documents and Settings/username/Settings/ on Windows
@@ -176,5 +176,5 @@
 
 /**
-   \returns The name of the Configuration-File
+ * @returns The name of the Configuration-File
 */
 const char* GuiExec::getConfigFile() const
@@ -184,6 +184,6 @@
 
 /**
-   \brief checks if a option should be saved.
-   \return 1 if it should 0 if not/
+ *  checks if a option should be saved.
+ * @return 1 if it should 0 if not/
 */
 int GuiExec::shouldsave()
@@ -193,6 +193,6 @@
 
 /**
-    \brief Saves the configuration-file to the Disk.\n
-    \param widget from which Widget on should be saved.
+  *  Saves the configuration-file to the Disk.\n
+  * @param widget from which Widget on should be saved.
 
     this Function only opens and closes the file, in between GuiExec::writeFileText(Widget* widget) will execute the real writing process.
@@ -207,7 +207,7 @@
 
 /**
-   \brief Actually writes into the configuration file to the disk.
-   \param widget from which Widget on should be saved.
-   \param depth initially "0", and grows higher, while new Groups are bundeled.
+ *  Actually writes into the configuration file to the disk.
+ * @param widget from which Widget on should be saved.
+ * @param depth initially "0", and grows higher, while new Groups are bundeled.
 */
 void GuiExec::writeFileText(Widget* widget, int depth)
@@ -258,6 +258,6 @@
 
 /**
-   \brief Reads in Configuration Data.
-   \param widget from which Widget on should be saved.
+ *  Reads in Configuration Data.
+ * @param widget from which Widget on should be saved.
 */
 void GuiExec::readFromFile(Widget* widget)
@@ -307,7 +307,7 @@
 
 /**
-   \brief Maps Confugurations to the Options.
-   \param widget which widget downwards
-   \param varInfo Information about the Variable to read
+ *  Maps Confugurations to the Options.
+ * @param widget which widget downwards
+ * @param varInfo Information about the Variable to read
 */
 void GuiExec::readFileText(Widget* widget, void* varInfo)
@@ -323,11 +323,11 @@
 
 /**
-   \brief Locates a Group.
-   \param widget The Widget from where to search from
-   \param groupName The GroupName for which to search.
-   \param depth The Depth of the search seen from the first widget we searched from.
-   \returns The Widget that holds the Group, or the NULL if the Group wasn't found.
-
-   \todo do this in gui-gtk.
+ *  Locates a Group.
+ * @param widget The Widget from where to search from
+ * @param groupName The GroupName for which to search.
+ * @param depth The Depth of the search seen from the first widget we searched from.
+ * @returns The Widget that holds the Group, or the NULL if the Group wasn't found.
+
+   @todo do this in gui-gtk.
 */
 Widget* GuiExec::locateGroup(Widget* widget, char* groupName, int depth)
@@ -365,7 +365,7 @@
 
 /**
-   \brief Starts ORXONOX.(not really implemented yet, but the function is there.\n
-   \param widget the widget that executed the start command
-   \param data additional data
+ *  Starts ORXONOX.(not really implemented yet, but the function is there.\n
+ * @param widget the widget that executed the start command
+ * @param data additional data
 
    This is a Signal and can be executed through Widget::signal_connect
@@ -390,7 +390,7 @@
 
 /**
-   \brief Starts ORXONOX.(not really implemented yet, but the function is there.\n
-   \param widget the widget that executed the start command
-   \param data additional data
+ *  Starts ORXONOX.(not really implemented yet, but the function is there.\n
+ * @param widget the widget that executed the start command
+ * @param data additional data
 
    This is a Signal and can be executed through Widget::signal_connect
Index: orxonox/trunk/src/lib/gui/gui_flags.cc
===================================================================
--- orxonox/trunk/src/lib/gui/gui_flags.cc	(revision 4835)
+++ orxonox/trunk/src/lib/gui/gui_flags.cc	(revision 4836)
@@ -27,5 +27,5 @@
 
 /**
-   \brief Creates the Flags-Frame
+ *  Creates the Flags-Frame
 */
 GuiFlags::GuiFlags()
@@ -46,5 +46,5 @@
 
 /**
-   \brief Destructs the Flags-stuff
+ *  Destructs the Flags-stuff
 */
 GuiFlags::~GuiFlags()
@@ -54,6 +54,6 @@
 
 /**
-   \brief Sets the Flags from widget downwards.
-   \param widget the Widget from which on to scan for deeper Options and their settings.
+ *  Sets the Flags from widget downwards.
+ * @param widget the Widget from which on to scan for deeper Options and their settings.
 */
 void GuiFlags::setTextFromFlags(Widget* widget)
@@ -70,7 +70,7 @@
 
 /** 
-    \brief this actually sets the flagtext, and appends it to flagText
-    \param widget like GuiFlags::setTextFromFlags(widget)
-    \param flagInfo Information aboout the Flag that should be updated.
+  *  this actually sets the flagtext, and appends it to flagText
+  * @param widget like GuiFlags::setTextFromFlags(widget)
+  * @param flagInfo Information aboout the Flag that should be updated.
 */
 void GuiFlags::flagsText(Widget* widget, void* flagInfo)
Index: orxonox/trunk/src/lib/gui/gui_flags.h
===================================================================
--- orxonox/trunk/src/lib/gui/gui_flags.h	(revision 4835)
+++ orxonox/trunk/src/lib/gui/gui_flags.h	(revision 4836)
@@ -17,5 +17,5 @@
   Frame* flagsFrame;          //!< The Frame that holds the flagsDisplay.
   Box* flagsBox;              //!< The Box that holds the flagsDisplay.
-  CheckButton* shortFlags;    //!< CheckButton to change the display of short and long flags \todo show long if long not availible...
+  CheckButton* shortFlags;    //!< CheckButton to change the display of short and long flags @todo show long if long not availible...
   Label* flagsLabel;          //!< The Label of the Flags
 
